#!/bin/bash

#=== Local Variables ===
EMAIL_TARGET=amos.geng@emeralit.com
LOG_STATUS=/home/oracle/emeralit/scripts/db_reboot/lsnr_shutdown.log


#=== Step 1. Initialize Environment Variables ===
. $1


#=== Step 2. Prepare Log Heading Section ===
echo "Listener Shutdown"                        > $LOG_STATUS
echo "Date: `date "+%H:%M:%S %m/%d/%y"`"       >> $LOG_STATUS
echo ""                                        >> $LOG_STATUS


#=== Step 3. Shutdown Function Defination ===
func_listener_shutdown() {
                echo ""
                echo ""                                             >> $LOG_STATUS
                echo "============================================"
                echo "============================================" >> $LOG_STATUS
                echo ""                                             >> $LOG_STATUS
                echo $i
                echo $i                                             >> $LOG_STATUS
                lsnrctl stop $i >> $LOG_STATUS
}


#=== Step 4. Execute Shutdown Function ===
for i in $LISTENER_NAMES
do
        func_listener_shutdown $i
done


#=== Step 5. Sending out Email ===
mail -s "Emeralit: `hostname`: Listener Being Shutdown" $EMAIL_TARGET < $LOG_STATUS