#!/bin/bash

#=== Local Variables ===
EMAIL_TARGET=amos.geng@emeralit.com
LOG_STATUS=/home/oracle/emeralit/scripts/db_reboot/lsnr_startup.log


#=== Step 1. Initialize Environment Variables ===
. $1


#=== Step 2. Prepare Log Heading Section ===
echo "Listener Startup"                         > $LOG_STATUS
echo "Date: `date "+%H:%M:%S %m/%d/%y"`"       >> $LOG_STATUS
echo ""                                        >> $LOG_STATUS


#=== Step 3. Startup Function Defination ===
func_listener_startup() {
                echo ""
                echo ""                                             >> $LOG_STATUS
                echo "============================================"
                echo "============================================" >> $LOG_STATUS
                lsnrctl start $i
                lsnrctl status $i >> $LOG_STATUS
}


#=== Step 4. Execute Startup Function ===
for i in $LISTENER_NAMES
do
        func_listener_startup $i
done


#=== Step 5. Sending out Email ===
mail -s "Emeralit: `hostname`: Listener Being Starting Up" $EMAIL_TARGET < $LOG_STATUS